io.undertow.server

## Class JvmRouteHandler

- java.lang.Object
- - io.undertow.server.JvmRouteHandler

All Implemented Interfaces:
  HttpHandler

    public class JvmRouteHandler
    extends Object
    implements HttpHandler

Handler that appends the JVM route to the session id.

Author:
  Stuart Douglas, Richard Opalka

### Nested Class Summary

Nested Classes
`static class` `JvmRouteHandler.Builder`

### Constructor Summary

Constructors
Constructor and Description
`JvmRouteHandler(HttpHandler next, String sessionCookieName, String jvmRoute)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JvmRouteHandler

    public JvmRouteHandler(HttpHandler next,
                           String sessionCookieName,
                           String jvmRoute)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`